Subject: Re: bug: git grep -P and multiline mode

From: Noel Grandin <[email-masked]>
Date: Tue, 24 Jun 2014 09:34:44 +0200

On 2014-06-23 07:42 PM, Junio C Hamano wrote:
> Noel Grandin <[email-masked]> writes:
>
>> It looks like the perl regular expression multiline mode does not work with 'git grep'
> Yes, and deliberately so, to avoid having to think about things like
> "how would a multi-line match interact with 'grep -n'?"
>
>

Ah, that is a pity.

I find the multi-line mode very useful for finding code problems that span multiple lines.

I'm sure there are other options that conflict, and the solution is to normally write out some kind of informative error 
message?

Anyhow, since I'm too busy working on LibreOffice right now to work up a patch for git, I'll stick to using
     find | xargs grep
:-)